import { FieldValueType, QueryConditionEnum, QueryFieldPathType, QueryFilterDetailType, SortEnum } from '@towify-types/live-data';
import { EventQueryType, LiveDataEngineQueryType } from '../type/event.query.type';
export declare class EventQueryHelper {
    static convertToLiveDataEngineQueryType(queries: EventQueryType[]): {
        fieldPath: QueryFieldPathType;
        value: string | number | true | {
            _id: string;
            data?: {
                [field: string]: FieldValueType;
            } | undefined;
        };
        condition: QueryConditionEnum;
    }[];
    /** 转化成 Scf 需要的 Parameter 的入参数格式 */
    static convertToScfFindContent(params: {
        tableHashName: string;
        preconditions?: {
            needToken: boolean;
            queries: QueryFilterDetailType[];
        };
        executor: {
            queries: LiveDataEngineQueryType[];
            sort?: [string, SortEnum][];
            limit: number;
            skip: number;
        };
    }): {
        precondition: {
            needToken: boolean;
            queries: QueryFilterDetailType[];
        };
        executor: {
            query: QueryFilterDetailType;
            sort?: [string, SortEnum][];
            limit: number;
            skip: number;
        };
    };
    /** 将多条 Query 的 Json 进行深度去重合并 */
    private static mergeDeep;
    static quote(content: string): string;
    private static convertToQueryJson;
}
